#
# spec file for package python-dirty-equals
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-dirty-equals
Version:        0.7.0
Release:        2.2
Summary:        Doing dirty (but useful) things with equals
License:        MIT
URL:            https://dirty-equals.helpmanual.io
Source:         https://github.com/samuelcolvin/dirty-equals/archive/refs/tags/v%{version}.tar.gz#/dirty-equals-%{version}.tar.gz
Patch:          datetime.patch
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module hatchling}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module pydantic}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz >= 2021.3}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz >= 2021.3
BuildArch:      noarch
%python_subpackages

%description
Doing dirty (but extremely useful) things with equals.

%prep
%autosetup -p1 -n dirty-equals-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Doc tests need new pytest plugin, pytest-examples. Too much work for too low importance.
%pytest --ignore "tests/test_docs.py"

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/dirty_equals
%{python_sitelib}/dirty_equals-%{version}*-info

%changelog
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- build against newer python stack for sle15
* Tue Oct 17 2023 Markéta Calábková <meggy.calabkova@gmail.com>
- Update to 0.7.0
  * add some new functions
  * move to Python 3.11 final
  * numeric exact
- add datetime.patch to fix compatibility with Python 3.12
  * sent upstream: https://github.com/samuelcolvin/dirty-equals/pull/86
* Thu Nov 10 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
-Update to version 0.5.0
  * Document how the dirty __eq__ is called by @Marco-Kaulea in #41
  * Make IsNow relative to current moment of time by @hyzyla in #40
  * correct version in pyproject.toml, #46
  * feat Add IsIP by @osintalex in #43
  * Remove Poetry and transition to hatchling, #49
* Tue Aug 30 2022 Steve Kowalik <steven.kowalik@suse.com>
- Correct a Requires into a BuildRequires, as was meant.
* Mon Jul 18 2022 Ben Greiner <code@bnavigator.de>
- Initial specfile for v0.4
- Required for python-watchfiles
